<?php
/**
 * Product Loop Start
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/loop-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

    if ( ! defined( 'ABSPATH' ) ) {
    	exit;
    }

    if ( is_cart() ) {

        $naturally_shop_column = 4;

    } else {

        $naturally_shop_column = 3;
        $customizer_columns = get_option( 'woocommerce_catalog_columns', 3 );
        $naturally_columns = naturally_settings('shop_column', 3);

        $naturally_shop_column = $customizer_columns && $customizer_columns <= 4 ? $customizer_columns : $naturally_columns;
        $naturally_shop_column = apply_filters( 'naturally_shop_column', $naturally_shop_column );

    }


?>

<div class="shop-products is-grid-<?php echo esc_attr($naturally_shop_column); ?>">
	<div class="grid">
		<div class="grid_row is-40">
