(function($) {

	/*-- Strict mode enabled --*/
	'use strict';

	/* svg load and animation
	================================================== */
	function wrapRelatedTitle () {

		var text = $('.related.products > h2').text();
		$('.related.products > h2').addClass('__title');
		var split = text.split(' ');
		var firstLetter = split[0];
		var rest = split.splice(1,split.length)
		$('.related.products > h2').html('<span>' + firstLetter +'</span> ' + rest.join(''));
		$('.related.products > h2').wrap('<div class="section-heading"></div>');

	}
	function ntrAlert() {
		var myAlerts = $('[data-ntr-woo-alert]');
		if (myAlerts.length) {
			myAlerts.each(function (i, el) {
				var myAlert = $(el);
				var myAlertParent = $(el).parent('.woocommerce-form-coupon-toggle');
				var myCoupon = $('.checkout_coupon.woocommerce-form-coupon');
				var myAlertClose = $('.alert_close', myAlert);
				myAlertClose.on('click', function (e) {
					e.preventDefault();
					myAlert.hide();
					if (myAlertParent.length) {
						myCoupon.hide();
					}
				});
			});
		}
	}
	function ntrSliderCategories() {
		 var product_cats = $('.shop-products .slick-slide.product-category');
		 if (product_cats.length) {
			 product_cats.each(function (i, el) {
				$(this).appendTo('.section-shop-categories .slick-slider');
			});
		}
		var myContainer = $('[data-ntr-shop-categories]');
		if (myContainer.length) {
			var mySlick = $('.slick-slider', myContainer);
			mySlick.not('.slick-initialized').slick({
				autoplay: true,
				slidesToShow: 4,
				speed: 300,
				prevArrow: '<span class="slick-prev"><span class="icon is-back"></span></span>',
				nextArrow: '<span class="slick-next"><span class="icon is-next"></span></span>',
				responsive: [
					{
						breakpoint: 576,
						settings: {
							slidesToShow: 1,
						}
					},
					{
						breakpoint: 768,
						settings: {
							slidesToShow: 2,
						}
					},
					{
						breakpoint: 992,
						settings: {
							slidesToShow: 3,
						}
					},
					{
						breakpoint: 1200,
						settings: {
							slidesToShow: 4,
						}
					}
				]
			});
		}
	}


	$(document).ready(function() {

		$('.tagcloud a').addClass('label is-grey');
		
		var wishlistbtn = $('.grid_col.is-lg-7 > .yith-wcwl-add-to-wishlist');
		var comparebtn = $('.grid_col.is-lg-7 > .compare.button');
		if (wishlistbtn.length) {
		    $('.grid_col.is-lg-7 > .yith-wcwl-add-to-wishlist').appendTo('.grid_col.is-lg-7 > .shop-product_actions');
		}
		if (comparebtn.length) {
		    $('.grid_col.is-lg-7 > .compare.button').appendTo('.grid_col.is-lg-7 > .shop-product_actions');
		}

		var text = $('.woocommerce-message .button').text();


		/* wrapRelatedTitle
		================================================== */
		wrapRelatedTitle();
		ntrAlert();
		ntrSliderCategories();

		/*
			Carusel News
		*/
		(function($){
			var $reviewsLink =  $('.product-about .woocommerce-review-link'),
				$navtabs = $('.nav.nav-tabs'),
				$reviewstabs = $('.product-info-tabs .tabs-header__title'),
				$reviewstab = $('.product-info-tabs #tab_title_reviews'),
				$reviewstab2 = $('.product-info-tabs .tabs-header__title:not(#tab_title_reviews)'),
				$reviewsContent = $('#tab-title-reviews'),
				$defaultContent = $('.tabs-content__item'),
				$window = $(window);

			if(!$reviewstabs.length) return;

			//if ($reviewsLink.length && $reviewstabs.length){
				$reviewsLink.on('click', function(e){
				    $navtabs.addClass('active');
					$reviewstabs.removeClass('active');
					$reviewstab.addClass('active');
					$defaultContent.hide();
					$reviewsContent.show();
					scrollToReview();
					//return false;
				});
				$reviewstab2.on('click', function(e){
					$reviewsContent.hide();
				});
				$window = $(window);

			function scrollToReview(){
		        $("html, body").animate({
		            scrollTop: $('#tab_title_reviews').offset().top -221
		        }, 1000);
				return false;
			};
			//};
		})(jQuery);

	});
}(jQuery));


/*
	Carusel News
*/
(function($){
	var $jsCarouselProducts = $('#mainContent .js-carousel-products');
	if ($jsCarouselProducts.length){
		$jsCarouselProducts.slick({
			dots: false,
			arrows: true,
			infinite: true,
			speed: 300,
			slidesToShow: 3,
			slidesToScroll: 1,
			adaptiveHeight: true,
			responsive: [
				{
					breakpoint: 1025,
					settings: {
						slidesToShow: 2,
						slidesToScroll: 1,
					}
				},
				{
					breakpoint: 576,
					settings: {
						slidesToShow: 1,
						slidesToScroll: 1,
					}
				}
			]
		});
	};
})(jQuery);
